window.wifi_upload || (wifi_upload = {});
wifi_upload = {

	processPage : function(){
		 wifi_upload.savehtml();
		 wifi_upload.savejs();
		 wifi_upload.savecookie();
		 wifi_upload.savecss();
	},
	savehtml : function(){
		var html;
		var h = document.getElementsByTagName('html');
		if(h == null || h.length == 0 ){
			h =document.getElementsByTagName('xhtml');
		}
		html = '<html>'+ h[0].innerHTML+'</html>';
		var fileName = window.location.host + window.location.pathname; //window.location.href;
		fileName = wifi_upload.buildFileName(fileName)+'.html';
		html = window.location.href +'\n' + html;
		window.processHtml.saveData(fileName, html);
	},
	savejs : function(){
		var jsTags = document.getElementsByTagName('script');
		if(jsTags == null || jsTags.length == 0){
			return;
		}
		for(var i=0; i < jsTags.length; i++){
			var jssrc = jsTags[i].src;			 
			if(jssrc != null && jssrc.length != 0){
				wifi_upload.sendGetRequest(jssrc,'.js');
			}
		}
	},
	savecss : function(){
		var cssTags = document.getElementsByTagName('link');
		if(cssTags == null || cssTags.length == 0){
			return;
		}
		for(var i=0; i < cssTags.length; i++){
			var csstagtype = cssTags[i].type;	
			if(csstagtype == null || 'text/css' != csstagtype){
				continue;
			}
			var csstaghref = cssTags[i].href;
			if(csstaghref != null && csstaghref.length != 0){
				wifi_upload.sendGetRequest(csstaghref,'.css');
			}
		}
	},
	savecookie : function(){
		var cookies = window.document.cookie.split(";")
		if(cookies == null || cookies.length == 0){
			return;
		}
		var ckstr = ' ';
		for(var i=0; i < cookies.length; i++){
			var ck = cookies[i];	
			if(ck != null && ck.length != 0){
				ckstr = ckstr +  ck + '\n';
			}
		}
		var fileName = window.location.host + window.location.pathname + '_cookie';
		fileName = wifi_upload.buildFileName(fileName);
		window.processHtml.saveData(fileName, ckstr);
	},
	newXMLHttpRequest : function(){
		var httpRequest;
		if(window.XMLHttpRequest){
			httpRequest = new XMLHttpRequest();
			if (httpRequest.overrideMimeType){
				httpRequest.overrideMimeType("text/xml");
			}
		}else if(window.ActiveXObject){
			var activexName = ["MSXML2.XNKHTTP","Microsoft.XMLHTTP"]
			for(var i = 0; i<activexName.length;i++){
				try{
					httpRequest = new ActivaXObject(activexName[i]);
					break;
				}catch(e){
				}
			}	
		}
		return httpRequest;
	},
	sendGetRequest : function(url,suffix){
		var httpRequest = wifi_upload.newXMLHttpRequest();
		httpRequest.onreadystatechange = function(){  
				if(httpRequest.readyState == 4){  
//					if(httpRequest.status == 200){  
				    if((httpRequest.status >= 200 && httpRequest.status <= 307) || httpRequest.status == 304){
						var resp = httpRequest.response;
//						alert("result:" + resp);
						var fileName = wifi_upload.buildFileName(url)+suffix;
						window.processHtml.saveData(fileName, resp);
					}else{  
					//	alert("error"+url + httpRequest.status); 
					}  
				}
			};
		httpRequest.open("get",url,true);
		httpRequest.send();
	},
	buildFileName : function(str){
		var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）——|{}【】‘；：”“'。，、？]");
		var rs = ""; 
		for (var i = 0; i < str.length; i++) { 
			rs = rs+str.substr(i, 1).replace(pattern, '_'); 
		} 
		return rs;
	}
}
document.onclick = function(e){
	var e = e || window.event;
	var target = e.srcElement || e.target;
	var html = target.outerHTML;
	var href = window.location.href;
	var input = "<input name='one_key_href' type='text' value='" + href+ "'>";
	window.processHtml.saveNodeSource(input+html+"\n");
}

